LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
XInteractionReplaceExistingData Interface Referencepublished

is an interaction continuation used to instruct the requester to replace existing data. More...

`import"XInteractionReplaceExistingData.idl";`

Inheritance diagram for XInteractionReplaceExistingData:

## Additional Inherited Members
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is an interaction continuation used to instruct the requester to replace existing data.

For example, this continuation can be selected when handling a NameClashResolveRequest in order to instruct the requester to overwrite the clashing data.

Version
  1.0

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XInteractionReplaceExistingData.idl